"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.log = exports.incCounter = void 0;
const counters = new Map();
let isLoggingOn = true;
function incCounter(name, count = 1) {
    counters.set(name, (counters.get(name) || 0) + count);
    return counters.get(name);
}
exports.incCounter = incCounter;
/* istanbul ignore next */
function log(message) {
    if (isLoggingOn) {
        const logMessage = [...counters].map(([name, value]) => name + ': ' + value).join('; ') + ' ' + message;
        console.log(logMessage);
    }
}
exports.log = log;
//# sourceMappingURL=monitor.js.map